class APIMode {
  static const String URL_STAGE = "https://stage.tsbdev.co/";
  static const String URL_PROD = "https://api.conscent.in/";
  static const String URL_SANDBOX = "https://sandbox-api.conscent.in/";
  static const URL_EVENT_STAGE = "https://collections.tsbdev.co/";

  static const SERVICE_URL_STAGE = "https://conscent.netlify.app";
  static const SERVICE_URL_SANDBOX = "https://sandbox-user.conscent.in";
  static const SERVICE_URL_PROD = "https://user.conscent.in";
  static const URL_EVENT_PROD = "https://collections.conscent.in/";
  static String BASE_URL = "";
  static String SERVICE_BASE_URL = "";
  static String EVENT_BASE_URL = "";

  static String getConscentServiceUrl(MODE key) {
    if (key == MODE.STAGE) {
      BASE_URL = URL_STAGE;
      SERVICE_BASE_URL = SERVICE_URL_STAGE;
      EVENT_BASE_URL = URL_EVENT_STAGE;
      return URL_STAGE;
    }
    if (key == MODE.SANDBOX) {
      SERVICE_BASE_URL = SERVICE_URL_SANDBOX;
      BASE_URL = URL_SANDBOX;
      EVENT_BASE_URL = URL_EVENT_STAGE;
      return URL_SANDBOX;
    }

    if (key == MODE.PRODUCTION) {
      SERVICE_BASE_URL = SERVICE_URL_PROD;
      BASE_URL = URL_PROD;
      EVENT_BASE_URL = URL_EVENT_PROD;
      return URL_PROD;
    }
    return URL_STAGE;
  }
}

enum MODE { STAGE, PRODUCTION, SANDBOX }
